# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Oct 12 00:55:44 2023
# ------------------------------------------------

package:
  name: rpds-py
  version: 0.10.6
source:
  sha256: 4ce5a708d65a8dbf3748d2474b580d606b1b9f91b5c6ab2a316e0b0cf7a4ba50
  url: https://pypi.io/packages/source/r/rpds-py/rpds_py-0.10.6.tar.gz
build:
  number: '0'
  string: py38h0cc4f7c_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.7.22 hbcca054_0
    - cargo-bundle-licenses 1.2.1 h101caaf_0
    - gcc_impl_linux-64 12.3.0 he2b93b0_2
    - gcc_linux-64 12.3.0 h76fc315_2
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - ld_impl_linux-64 2.40 h41732ed_0
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_2
    - libgcc-ng 13.2.0 h807b86a_2
    - libgit2 1.6.4 h747ad27_0
    - libgomp 13.2.0 h807b86a_2
    - libsanitizer 12.3.0 h0f45ef3_2
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 13.2.0 h7e041cc_2
    - libzlib 1.2.13 hd590300_5
    - openssl 3.1.3 hd590300_0
    - pcre2 10.40 hc3806b6_0
    - rust 1.73.0 h70c747d_0
    - rust-std-x86_64-unknown-linux-gnu 1.73.0 hc1431ca_0
    - rust_linux-64 1.73.0 h5055725_1
    - sysroot_linux-64 2.12 he073ed8_16
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.7.22 hbcca054_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libnsl 2.0.0 hd590300_1
    - libsqlite 3.43.2 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 hd590300_5
    - maturin 1.3.0 py38hcdda232_0
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.3 hd590300_0
    - pip 23.2.1 pyhd8ed1ab_0
    - python 3.8.18 hd12c33a_0_cpython
    - python_abi 3.8 4_cp38
    - readline 8.2 h8228510_1
    - setuptools 68.2.2 pyhd8ed1ab_0
    - tk 8.6.13 h2797004_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - wheel 0.41.2 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - libgcc-ng >=12
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
test:
  commands:
    - pip check
  imports:
    - rpds
  requires:
    - pip
about:
  home: https://github.com/julian/rpds.py
  license: MIT
  license_file:
    - LICENSE
    - THIRDPARTY.yml
  summary: Python bindings to Rust's persistent data structures (rpds)
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - bollwyvl
